Crazy Eddies GUI System: CEGUI::Logger Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::Logger Class Reference

Abstract class that defines the interface of a logger object for the GUI system. The default implementation of this interface is the DefaultLogger class; if you want to perform special logging, derive your own class from Logger and initialize a object of that type before you create the CEGUI::System singleton. More...

Inheritance diagram for CEGUI::Logger:
[legend]
Collaboration diagram for CEGUI::Logger:
[legend]

List of all members.

## Public Member Functions
| Logger (void)
| Constructor for Logger object.
virtual | ~Logger (void)
| Destructor for Logger object.
void | setLoggingLevel (LoggingLevel level)
| Set the level of logging information that will get out to the log file.
LoggingLevel | getLoggingLevel (void) const
| return the current logging level setting
virtual void | logEvent (const String &message, LoggingLevel level=Standard)=0
| Add an event to the log.
virtual void | setLogFilename (const String &filename, bool append=false)=0
| Set the name of the log file where all subsequent log entries should be written. The interpretation of file name may differ depending on the concrete logger implementation.
## Protected Attributes
LoggingLevel | d_level
| Holds current logging level.

## Detailed Description

Abstract class that defines the interface of a logger object for the GUI system. The default implementation of this interface is the DefaultLogger class; if you want to perform special logging, derive your own class from Logger and initialize a object of that type before you create the CEGUI::System singleton.

## Member Function Documentation

LoggingLevel CEGUI::Logger::getLoggingLevel | ( | void |  | ) | const`[inline]`

return the current logging level setting

Returns:
  One of the LoggingLevel enumerated values specifying the current level of logging

virtual void CEGUI::Logger::logEvent | ( | const String & | message,
|  | LoggingLevel | level = `Standard`
| ) |  | `[pure virtual]`

Add an event to the log.

Parameters:

  message | String object containing the message to be added to the event log.
  level | LoggingLevel for this message. If level is greater than the current set logging level, the message is not logged.

Returns:
  Nothing

Implemented in CEGUI::DefaultLogger.

virtual void CEGUI::Logger::setLogFilename | ( | const String & | filename,
|  | bool | append = `false`
| ) |  | `[pure virtual]`

Set the name of the log file where all subsequent log entries should be written. The interpretation of file name may differ depending on the concrete logger implementation.

Note:
  When this is called, and the log file is created, any cached log entries are flushed to the log file.

Parameters:

  filename | Name of the file to put log messages.
  append | true if events should be added to the end of the current file. false if the current contents of the file should be discarded.

Implemented in CEGUI::DefaultLogger.

void CEGUI::Logger::setLoggingLevel | ( | LoggingLevel | level | ) | `[inline]`

Set the level of logging information that will get out to the log file.

Parameters:

  level | One of the LoggingLevel enumerated values that specified the level of logging information required.

Returns:
  Nothing